import {ItemGroupCharacteristic} from "../ItemgroupCharacteristic";
import {InventoryCharacteristic} from "./InventoryCharacteristic";
import {ItemGroup} from "../ItemGroup";

export class InventorySlot {

  slotName: string
  slotCharacteristics: InventoryCharacteristic[] = []
  requiredInheritances: ItemGroup[] = [] //if empty: non reqierements


  constructor(slotName: string) {
    this.slotName = slotName;
  }

  addSlotCharacteristic(slotCharacteristic: InventoryCharacteristic) {
    const found = this.slotCharacteristics.find(characteristiic => characteristiic.increasingCharacteristic === slotCharacteristic.increasingCharacteristic
      && characteristiic.decreasingCharacteristic === slotCharacteristic.decreasingCharacteristic)
    if(found == undefined) {
      this.slotCharacteristics.push(slotCharacteristic);
    }
  }
}
